# samples/common/classes/NvBuffer.cpp File Reference

`#include "NvBuffer.h"`
`#include "NvLogging.h"`
`#include <cstring>`
`#include <errno.h>`
`#include <sys/mman.h>`
`#include <libv4l2.h>`

Go to the source code of this file.

## Defines

#define | CAT_NAME "Buffer"
#define | MAX(a, b) (a > b ? a : b)

## Define Documentation

#define CAT_NAME "Buffer"

Definition at line 37 of file NvBuffer.cpp.

#define MAX | ( | a,
|  | b |  | ) | (a > b ? a : b)

Definition at line 39 of file NvBuffer.cpp.